%define module	AcePerl
%define name	perl-%{module}
%define version 1.91
%define release %mkrel 2

%define _requires_exceptions perl(Ace::Browser::LocalSiteDefs)
%define _fortify_cflags %nil

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface for the ACEDB object-oriented database
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Ace/%{module}-%{version}.tar.bz2
Patch:		%{name}.makefile.patch
Url:		http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildRequires:  perl(WeakRef)
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Designed specifically for use in genome sequencing projects, ACEDB
provides powerful modeling and management services for biological and
laboratory data. For others, it is a good open source introduction to
the world of object-oriented databases

%prep
%setup -q -n %{module}-%{version}
%patch

perl -pi -e 's|^#!/usr/local/bin/perl$|#!%{__perl}|' examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make COMPILER="gcc %{optflags} -fPIC -DACEDB4"

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README README.ACEBROWSER DISCLAIMER.txt ChangeLog docs examples
%{_bindir}/*
%{perl_vendorarch}/GFF
%{perl_vendorarch}/Ace
%{perl_vendorarch}/Ace.pm
%{perl_vendorarch}/auto/Ace
%{_mandir}/*/*




%changelog
* Mon Jan 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.91-2mdv2008.1
+ Revision: 151801
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Apr 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.91-1mdv2008.0
+ Revision: 17415
- New version 1.91


* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-6mdv2007.0
+ Revision: 86530
- Import perl-AcePerl

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-6mdv2007.0
- Rebuild

* Wed Apr 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.89-5mdk
- Fix BuildRequires using perl Policy

* Wed Apr 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.89-4mdk
- Fix BuildRequires

* Tue Apr 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-3mdk
- disable fortify, it breaks va_list use
- better source URL

* Wed Jun 08 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-2mdk 
- don't ship auto dir
- make test

* Tue Apr 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-1mdk
- new release
- spec cleanup
- better url
- fix interpreter path in exemples

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 1.87-4mdk
- fix compilation on x86_64

* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.87-3mdk 
- rebuild for new perl

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.87-2mdk 
- rebuild

* Thu Apr 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.87-1mdk
- new version
- rpmbuildupdate aware

